Community
cancel
Showing results for 
Search instead for 
Did you mean: 
Highlighted
Employee
232 Views

Errors while Running Verification Scripts

I installed OpenVINO Toolkit by following the link (Install Intel® Distribution of OpenVINO™ toolkit for Windows* 10). The first part of the installation was completed and then “Set the Environment Variables” are passed successfully, however, the configuration of model optimizer cause some issues. Only “Caffe” batch file configured successfully. The TensorFlow*, MXNet*, Kaldi*, and ONNX* resulted with the errors.

Then I continued with the "Run the Image Classification Verification Script" step, but got the following error.

Image Classification Verification Script.png

Also I tried “Run the Inference Pipeline Verification Script” section, I run the script, but it resulted with the following error.

Inference Pipeline Verification Script.png

Could you please let me know how I can run these verification scripts?

0 Kudos
5 Replies
Highlighted
Employee
232 Views

Hi, Irfan,

From the error, I think is because of the yaml module installation abnormal cause the problem. And the error should come from the line "pip install --user -r "%ROOT_DIR%\..\open_model_zoo\tools\downloader\requirements.in" inside the "demo_security_barrier_camera.bat" file.

The line intends to read the "requiremenst.in" file and install the pip packages listed. But since you run the the batch file inside the anaconda, the --user will cause the issue and throws out the error. So the workaround is to remove the --user in the line which should solve your problem.

pip install -r "%ROOT_DIR%\..\open_model_zoo\tools\downloader\requirements.in"

0 Kudos
Highlighted
Employee
232 Views

Hi Cary,

I found the location of "requirements.in" in C:\Program Files (x86)\IntelSWTools\openvino_2019.3.379\deployment_tools\open_model_zoo\tools\downloader

Then run the following command 

C:\Program Files (x86)\IntelSWTools\openvino\deployment_tools\demo> cd C:\Program Files (x86)\IntelSWTools\openvino_2019.3.379\deployment_tools\open_model_zoo\tools\downloader

C:\Program Files (x86)\IntelSWTools\openvino_2019.3.379\deployment_tools\open_model_zoo\tools\downloader>pip install -r requirements.in

The system performed the following steps.
Requirement already satisfied: pyyaml in c:\programdata\anaconda3\lib\site-packages (from -r requirements.in (line 1)) (5.1.2)
Requirement already satisfied: requests in c:\programdata\anaconda3\lib\site-packages (from -r requirements.in (line 2)) (2.22.0)
Requirement already satisfied: idna<2.9,>=2.5 in c:\programdata\anaconda3\lib\site-packages (from requests->-r requirements.in (line 2)) (2.8)
Requirement already satisfied: urllib3!=1.25.0,!=1.25.1,<1.26,>=1.21.1 in c:\programdata\anaconda3\lib\site-packages (from requests->-r requirements.in (line 2)) (1.24.2)
Requirement already satisfied: certifi>=2017.4.17 in c:\programdata\anaconda3\lib\site-packages (from requests->-r requirements.in (line 2)) (2019.9.11)
Requirement already satisfied: chardet<3.1.0,>=3.0.2 in c:\programdata\anaconda3\lib\site-packages (from requests->-r requirements.in (line 2)) (3.0.4)

C:\Program Files (x86)\IntelSWTools\openvino_2019.3.379\deployment_tools\open_model_zoo\tools\downloader>

Then I tried to requested commands in the guideline again as below. 

C:\Program Files (x86)\IntelSWTools\openvino_2019.3.379\deployment_tools\open_model_zoo\tools\downloader>cd C:\Program Files (x86)\IntelSWTools\openvino\deployment_tools\demo\

C:\Program Files (x86)\IntelSWTools\openvino\deployment_tools\demo>demo_squeezenet_download_convert_run.bat

However, the sytems still results in the same response as below. Please let me know how I can solve that issue?

C:\Program Files (x86)\IntelSWTools\openvino\deployment_tools\demo>demo_squeezenet_download_convert_run.bat
target_precision = FP16
Python 3.6.8
ECHO is off.
PYTHONPATH=C:\Program Files (x86)\IntelSWTools\openvino\deployment_tools\open_model_zoo\tools\accuracy_checker;C:\Program Files (x86)\IntelSWTools\openvino\python\python3.6;C:\Program Files (x86)\IntelSWTools\openvino\python\python3;
[setupvars.bat] OpenVINO environment initialized
INTEL_OPENVINO_DIR is set to C:\Program Files (x86)\IntelSWTools\openvino
Python 3.6.8
ECHO is off.
Requirement already satisfied: pyyaml in c:\programdata\anaconda3\lib\site-packages (from -r C:\Program Files (x86)\IntelSWTools\openvino\deployment_tools\demo\\..\open_model_zoo\tools\downloader\requirements.in (line 1)) (5.1.2)
Requirement already satisfied: requests in c:\programdata\anaconda3\lib\site-packages (from -r C:\Program Files (x86)\IntelSWTools\openvino\deployment_tools\demo\\..\open_model_zoo\tools\downloader\requirements.in (line 2)) (2.22.0)
Requirement already satisfied: urllib3!=1.25.0,!=1.25.1,<1.26,>=1.21.1 in c:\programdata\anaconda3\lib\site-packages (from requests->-r C:\Program Files (x86)\IntelSWTools\openvino\deployment_tools\demo\\..\open_model_zoo\tools\downloader\requirements.in (line 2)) (1.24.2)
Requirement already satisfied: certifi>=2017.4.17 in c:\programdata\anaconda3\lib\site-packages (from requests->-r C:\Program Files (x86)\IntelSWTools\openvino\deployment_tools\demo\\..\open_model_zoo\tools\downloader\requirements.in (line 2)) (2019.9.11)
Requirement already satisfied: chardet<3.1.0,>=3.0.2 in c:\programdata\anaconda3\lib\site-packages (from requests->-r C:\Program Files (x86)\IntelSWTools\openvino\deployment_tools\demo\\..\open_model_zoo\tools\downloader\requirements.in (line 2)) (3.0.4)
Requirement already satisfied: idna<2.9,>=2.5 in c:\programdata\anaconda3\lib\site-packages (from requests->-r C:\Program Files (x86)\IntelSWTools\openvino\deployment_tools\demo\\..\open_model_zoo\tools\downloader\requirements.in (line 2)) (2.8)
Traceback (most recent call last):
  File "C:\Program Files (x86)\IntelSWTools\openvino\deployment_tools\open_model_zoo\tools\downloader\info_dumper.py", line 23, in <module>
    import common
  File "C:\Program Files (x86)\IntelSWTools\openvino\deployment_tools\open_model_zoo\tools\downloader\common.py", line 27, in <module>
    import yaml
ModuleNotFoundError: No module named 'yaml'
Traceback (most recent call last):
  File "<string>", line 1, in <module>
  File "C:\Users\ikulax\AppData\Local\Programs\Python\Python36\lib\json\__init__.py", line 299, in load
    parse_constant=parse_constant, object_pairs_hook=object_pairs_hook, **kw)
  File "C:\Users\ikulax\AppData\Local\Programs\Python\Python36\lib\json\__init__.py", line 354, in loads
    return _default_decoder.decode(s)
  File "C:\Users\ikulax\AppData\Local\Programs\Python\Python36\lib\json\decoder.py", line 339, in decode
    obj, end = self.raw_decode(s, idx=_w(s, 0).end())
  File "C:\Users\ikulax\AppData\Local\Programs\Python\Python36\lib\json\decoder.py", line 357, in raw_decode
    raise JSONDecodeError("Expecting value", s, err.value) from None
json.decoder.JSONDecodeError: Expecting value: line 1 column 1 (char 0)
Download public squeezenet1.1 model
python "C:\Program Files (x86)\IntelSWTools\openvino\deployment_tools\open_model_zoo\tools\downloader\downloader.py" --name squeezenet1.1 --output_dir C:\Users\ikulax\Documents\Intel\OpenVINO\openvino_models\models --cache_dir C:\Users\ikulax\Documents\Intel\OpenVINO\openvino_models\cache
Traceback (most recent call last):
  File "C:\Program Files (x86)\IntelSWTools\openvino\deployment_tools\open_model_zoo\tools\downloader\downloader.py", line 22, in <module>
    import requests
ModuleNotFoundError: No module named 'requests'
squeezenet1.1 model downloading completed

Waiting for 5 seconds, press a key to continue ...

###############|| Install Model Optimizer prerequisites ||###############


Waiting for 1 seconds, press a key to continue ...
Python 3.6.8
ECHO is off.
Requirement already satisfied: networkx<2.4,>=1.11 in c:\programdata\anaconda3\lib\site-packages (from -r ..\requirements_caffe.txt (line 1)) (2.3)
Requirement already satisfied: numpy>=1.12.0 in c:\programdata\anaconda3\lib\site-packages (from -r ..\requirements_caffe.txt (line 2)) (1.16.5)
Requirement already satisfied: protobuf==3.6.1 in c:\program files (x86)\intelswtools\openvino\deployment_tools\model_optimizer\install_prerequisites\protobuf-3.6.1-py3.7-win-amd64.egg (from -r ..\requirements_caffe.txt (line 3)) (3.6.1)
Requirement already satisfied: defusedxml>=0.5.0 in c:\programdata\anaconda3\lib\site-packages (from -r ..\requirements_caffe.txt (line 4)) (0.6.0)
Requirement already satisfied: decorator>=4.3.0 in c:\programdata\anaconda3\lib\site-packages (from networkx<2.4,>=1.11->-r ..\requirements_caffe.txt (line 1)) (4.4.0)
Requirement already satisfied: six>=1.9 in c:\programdata\anaconda3\lib\site-packages (from protobuf==3.6.1->-r ..\requirements_caffe.txt (line 3)) (1.12.0)
Requirement already satisfied: setuptools in c:\programdata\anaconda3\lib\site-packages (from protobuf==3.6.1->-r ..\requirements_caffe.txt (line 3)) (41.4.0)
*****************************************************************************************
Warning: please expect that Model Optimizer conversion might be slow.
You can boost conversion speed by installing protobuf-*.egg located in the
"model-optimizer\install_prerequisites" folder or building protobuf library from sources.
For more information please refer to Model Optimizer FAQ, question #80.

Waiting for 6 seconds, press a key to continue ...

###############|| Run Model Optimizer ||###############


Waiting for 0 seconds, press a key to continue ...
python "C:\Program Files (x86)\IntelSWTools\openvino\deployment_tools\open_model_zoo\tools\downloader\converter.py" --mo "C:\Program Files (x86)\IntelSWTools\openvino\deployment_tools\model_optimizer\mo.py" --name "squeezenet1.1" -d "C:\Users\ikulax\Documents\Intel\OpenVINO\openvino_models\models" -o "C:\Users\ikulax\Documents\Intel\OpenVINO\openvino_models\ir" --precisions "FP16"
Traceback (most recent call last):
  File "C:\Program Files (x86)\IntelSWTools\openvino\deployment_tools\open_model_zoo\tools\downloader\converter.py", line 30, in <module>
    import common
  File "C:\Program Files (x86)\IntelSWTools\openvino\deployment_tools\open_model_zoo\tools\downloader\common.py", line 27, in <module>
    import yaml
ModuleNotFoundError: No module named 'yaml'
Error

C:\Program Files (x86)\IntelSWTools\openvino\deployment_tools\demo>

 

 

 

 

0 Kudos
Highlighted
Employee
232 Views

Hi, Irfan,

Usually I use the virtualenv instead of anaconda, which provides python virtual environment similar to what you are doing in the terminal, install package using pip. With the anaconda, usually you need to install the package through conda command which is not as direct as through pip.

BTW, I still download the anaconda and try the batch file you tested, it works well. I just provide the screenshot of my testing and steps, you may consider to run in a clear environment or re-install anaconda again, OR, use the virtualenv to create the python virtual environment.

0 Kudos
Highlighted
Employee
232 Views

I uninstalled the anoconda and installed python 3.8 64 bit from python org.Then tried to run the code. But result did not changed.

here is the responses of the command prompt

C:\Program Files (x86)\IntelSWTools\openvino\deployment_tools\demo> cd C:\Program Files (x86)\IntelSWTools\openvino_2019.3.379\deployment_tools\open_model_zoo\tools\downloader

C:\Program Files (x86)\IntelSWTools\openvino_2019.3.379\deployment_tools\open_model_zoo\tools\downloader>pip install -r requirements.in
Collecting pyyaml (from -r requirements.in (line 1))
  WARNING: Retrying (Retry(total=4, connect=None, read=None, redirect=None, status=None)) after connection broken by 'ConnectTimeoutError(<pip._vendor.urllib3.connection.VerifiedHTTPSConnection object at 0x0000024E95C9F670>, 'Connection to pypi.org timed out. (connect timeout=15)')': /simple/pyyaml/
  WARNING: Retrying (Retry(total=3, connect=None, read=None, redirect=None, status=None)) after connection broken by 'ConnectTimeoutError(<pip._vendor.urllib3.connection.VerifiedHTTPSConnection object at 0x0000024E95CE51F0>, 'Connection to pypi.org timed out. (connect timeout=15)')': /simple/pyyaml/
  WARNING: Retrying (Retry(total=2, connect=None, read=None, redirect=None, status=None)) after connection broken by 'ConnectTimeoutError(<pip._vendor.urllib3.connection.VerifiedHTTPSConnection object at 0x0000024E95CE5040>, 'Connection to pypi.org timed out. (connect timeout=15)')': /simple/pyyaml/
  WARNING: Retrying (Retry(total=1, connect=None, read=None, redirect=None, status=None)) after connection broken by 'ConnectTimeoutError(<pip._vendor.urllib3.connection.VerifiedHTTPSConnection object at 0x0000024E95CDA400>, 'Connection to pypi.org timed out. (connect timeout=15)')': /simple/pyyaml/
  WARNING: Retrying (Retry(total=0, connect=None, read=None, redirect=None, status=None)) after connection broken by 'ConnectTimeoutError(<pip._vendor.urllib3.connection.VerifiedHTTPSConnection object at 0x0000024E95CDA340>, 'Connection to pypi.org timed out. (connect timeout=15)')': /simple/pyyaml/
  ERROR: Could not find a version that satisfies the requirement pyyaml (from -r requirements.in (line 1)) (from versions: none)
ERROR: No matching distribution found for pyyaml (from -r requirements.in (line 1))

C:\Program Files (x86)\IntelSWTools\openvino_2019.3.379\deployment_tools\open_model_zoo\tools\downloader>
C:\Program Files (x86)\IntelSWTools\openvino_2019.3.379\deployment_tools\open_model_zoo\tools\downloader>

0 Kudos
Highlighted
Employee
232 Views

Hi, Irfan,

The error is because of package server is not able to be reached, might because of the intranet or any internet connection error, please search online for similar issue, then you should be able to find out the solution. If you are in office intranet, need to specify the proxy for http and https.

0 Kudos